<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">
    <ui:define name="content">
        <div class="ui-g-10 ui-g-offset-1">
            <h:form prependId="false">
                <p:panel id="profile-pnl" header="Profile" style="margin-bottom:10px;">
                    <div class="ui-g">
                        <div class="ui-panelgrid-cell ui-g-4 ui-md-3 ui-lg-2">
                            <p:outputLabel for="login" value="Login:"/>
                        </div>
                        <div class="ui-panelgrid-cell ui-g-8 ui-md-9 ui-lg-10">
                            <h:outputText id="login" placeholder="Login" styleClass="full-width"
                                         value="#{userBean.user.login}"/>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-panelgrid-cell ui-g-4 ui-md-3 ui-lg-2">
                            <p:outputLabel for="token" value="Token:"/>
                        </div>
                        <div class="ui-inputgroup ui-g-8 ui-md-9 ui-lg-10">
                            <p:inputText id="token" value="#{userBean.user.token}" style="width:100%;"/>
                            <p:commandButton value="Generate" action="#{userBean.generateToken}" update="token"/>
                        </div>
                    </div>
                </p:panel>
            </h:form>
        </div>
    </ui:define>
</ui:composition>